## ros-crystal-gazebo-msgs 3.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(gazebo_msgs)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  # we dont use add_compile_options with pedantic in message packages
  # because the Python C extensions dont comply with it
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wpedantic")
endif()

find_package(ament_cmake REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(std_msgs REQUIRED)
find_package(trajectory_msgs REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(rosidl_default_generators REQUIRED)

set(msg_files
  "msg/ContactState.msg"
  "msg/ContactsState.msg"
  "msg/EntityState.msg"
  "msg/LinkState.msg"
  "msg/LinkStates.msg"
  "msg/ModelState.msg"
  "msg/ModelStates.msg"
  "msg/ODEJointProperties.msg"
  "msg/ODEPhysics.msg"
  "msg/WorldState.msg"
)

set(srv_files
  "srv/ApplyBodyWrench.srv"
  "srv/ApplyJointEffort.srv"
  "srv/BodyRequest.srv"
  "srv/DeleteEntity.srv"
  "srv/DeleteLight.srv"
  "srv/DeleteModel.srv"
  "srv/GetJointProperties.srv"
  "srv/GetEntityState.srv"
  "srv/GetLightProperties.srv"
  "srv/GetLinkProperties.srv"
  "srv/GetLinkState.srv"
  "srv/GetModelProperties.srv"
  "srv/GetModelState.srv"
  "srv/GetPhysicsProperties.srv"
  "srv/GetWorldProperties.srv"
  "srv/JointRequest.srv"
  "srv/SetEntityState.srv"
  "srv/SetJointProperties.srv"
  "srv/SetJointTrajectory.srv"
  "srv/SetLightProperties.srv"
  "srv/SetLinkProperties.srv"
  "srv/SetLinkState.srv"
  "srv/SetModelConfiguration.srv"
  "srv/SetModelState.srv"
  "srv/SetPhysicsProperties.srv"
  "srv/SpawnEntity.srv"
  "srv/SpawnModel.srv"
)

rosidl_generate_interfaces(${PROJECT_NAME}
  ${msg_files}
  ${srv_files}

  DEPENDENCIES
  builtin_interfaces
  std_msgs
  geometry_msgs
  trajectory_msgs

  ADD_LINTER_TESTS
)

ament_export_dependencies(rosidl_default_runtime)

ament_package()

install(
  FILES gazebo_msgs_mapping_rules.yaml
  DESTINATION share/${PROJECT_NAME})

=== debian/changelog ===
ros-crystal-gazebo-msgs (3.2.0-0bionic) bionic; urgency=high

  * [ros2] World plugin to get/set entity state services (#839 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/839>)
    remove status_message
  * Contributors: chapulina

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 13 Mar 2019 07:00:00 -0000

ros-crystal-gazebo-msgs (3.1.0-0bionic) bionic; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 10 Dec 2018 08:00:00 -0000

ros-crystal-gazebo-msgs (3.0.0-0bionic) bionic; urgency=high

  * [ros2] Port spawn/delete methods   (#808 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/808>)
    * First port of ROS2 of factory method. Still a work in progress
    * Install gazebo_ros_factory
    * Changes proposed by uncrustify
    * Make cpplint happy
    * Remove unneded header
    * fix merge
    * remove ported ROS 1 code
    * SpawnEntity service, initialize after world is created, remove XML strip since it's not needed, simplify Is* functions
    * support robot_namespace inside <plugin><ros><namespace>
    * a bit more tweaks and cleanup
    * Use libsdformat to parse the XML, instead of tinyxml, significantly reducing the code
    * uncrustify
    * port delete services
    * linters
    * spawn and delete tests, must check light test
    * fix spawning lights, compile error for non implemented conversions, linters
  * Fix name of duration field (#800 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/800>)
  * Adding ros1_bridge mapping rules for ODEJointStates message.
    The hiStop and loStop fields in this message were renamed to
    hi_stop and lo_stop to comply with ROS 2 naming rules.
    This prevented the automatic mapping rules in ros1_bridge from
    generating mapping code.
    This change adds a manual mapping to allow the ros1_bridge to
    successfully generate mappings for this message.
  * Merge pull request #770 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/770> from ironmig/ros2-gazebo-dev
    ROS2: Port gazebo_dev to ament package
  * Restore url tags to gazebo_msgs package.xml
  * Merge pull request #769 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/769> from ironmig/ros2-devel
    ROS2: boostrap repo and convert gazebo_msgs
  * Switch rosidl_default_generators to buildtool_depend
  * Converted gazebo_msgs to ros2.
  * Contributors: Carl Delsey, Ernesto Corbellini, Jose Luis Rivero, Kevin Allen, dhood

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 07 Dec 2018 08:00:00 -0000

ros-crystal-gazebo-msgs (2.8.4-0bionic) bionic; urgency=high

  * Correct documentation on SetModelConfiguration.srv
  * Contributors: Kevin Allen

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 06 Jul 2018 07:00:00 -0000

ros-crystal-gazebo-msgs (2.8.3-0bionic) bionic; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 04 Jun 2018 07:00:00 -0000

ros-crystal-gazebo-msgs (2.8.2-0bionic) bionic; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 09 May 2018 07:00:00 -0000

ros-crystal-gazebo-msgs (2.8.1-0bionic) bionic; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sat, 05 May 2018 07:00:00 -0000

ros-crystal-gazebo-msgs (2.7.4-0bionic) bionic; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 12 Feb 2018 08:00:00 -0000

ros-crystal-gazebo-msgs (2.7.3-0bionic) bionic; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 11 Dec 2017 08:00:00 -0000

ros-crystal-gazebo-msgs (2.7.2-0bionic) bionic; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 21 May 2017 07:00:00 -0000

ros-crystal-gazebo-msgs (2.7.1-0bionic) bionic; urgency=high

  * Add catkin package(s) to provide the default version of Gazebo - take II (kinetic-devel) (#571 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/571>)
  * Contributors: Jose Luis Rivero

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 28 Apr 2017 07:00:00 -0000

ros-crystal-gazebo-msgs (2.5.12-0bionic) bionic; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 25 Apr 2017 07:00:00 -0000

ros-crystal-gazebo-msgs (2.5.11-0bionic) bionic; urgency=high

  * Changed the spawn model methods to spawn also lights. (#511 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/511>)
  * Contributors: Alessandro Ambrosano

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 18 Apr 2017 07:00:00 -0000

ros-crystal-gazebo-msgs (2.5.10-0bionic) bionic; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 03 Mar 2017 08:00:00 -0000

ros-crystal-gazebo-msgs (2.5.9-0bionic) bionic; urgency=high

  * Removed all trailing whitespace
  * Contributors: Dave Coleman

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 20 Feb 2017 08:00:00 -0000

ros-crystal-gazebo-msgs (2.5.8-0bionic) bionic; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 06 Dec 2016 08:00:00 -0000

ros-crystal-gazebo-msgs (2.5.7-0bionic) bionic; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 10 Jun 2016 07:00:00 -0000

ros-crystal-gazebo-msgs (2.5.6-0bionic) bionic; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 28 Apr 2016 07:00:00 -0000

ros-crystal-gazebo-msgs (2.5.5-0bionic) bionic; urgency=high

  * merge indigo, jade to kinetic-devel
  * Update maintainer for Kinetic release
  * Contributors: Jose Luis Rivero, Steven Peters

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 27 Apr 2016 07:00:00 -0000

ros-crystal-gazebo-msgs (2.5.3-0bionic) bionic; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 11 Apr 2016 07:00:00 -0000

ros-crystal-gazebo-msgs (2.5.2-0bionic) bionic; urgency=high

  * merging from indigo-devel
  * 2.4.9
  * Generate changelog
  * GetModelState modification for jade
  * Contributors: John Hsu, Jose Luis Rivero, Markus Bader

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 25 Feb 2016 08:00:00 -0000



=== debian/control ===
Source: ros-crystal-gazebo-msgs
Section: misc
Priority: extra
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-crystal-ament-cmake, ros-crystal-ament-lint-common, ros-crystal-builtin-interfaces, ros-crystal-geometry-msgs, ros-crystal-rosidl-default-generators, ros-crystal-std-msgs, ros-crystal-trajectory-msgs, ros-crystal-ros-workspace, ros-crystal-rmw-connext-cpp, ros-crystal-rmw-fastrtps-cpp, ros-crystal-rmw-implementation, ros-crystal-rmw-opensplice-cpp, ros-crystal-rosidl-typesupport-connext-c, ros-crystal-rosidl-typesupport-connext-cpp, ros-crystal-rosidl-typesupport-opensplice-c, ros-crystal-rosidl-typesupport-opensplice-cpp
Homepage: http://gazebosim.org/tutorials?cat=connect_ros
Standards-Version: 3.9.2

Package: ros-crystal-gazebo-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-crystal-builtin-interfaces, ros-crystal-geometry-msgs, ros-crystal-rosidl-default-runtime, ros-crystal-std-msgs, ros-crystal-trajectory-msgs, ros-crystal-ros-workspace
Description: Message and service data structures for interacting with Gazebo from ROS2.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/crystal/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/crystal" \
		-DAMENT_PREFIX_PATH="/opt/ros/crystal"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-crystal-gazebo-msgs//opt/ros/crystal/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_install
